import { BaseDependencyManager } from './base-dependency-manager.js';
import { PackageDownloader } from '../package-downloader.js';
export declare class KubectlDependencyManager extends BaseDependencyManager {
    protected readonly downloader: PackageDownloader;
    protected readonly installationDirectory: string;
    protected readonly kubectlVersion: string;
    constructor(downloader: PackageDownloader, installationDirectory: string, osPlatform: NodeJS.Platform, osArch: string, kubectlVersion: string);
    /**
     * Get the Kubectl artifact name based on version, OS, and architecture
     */
    protected getArtifactName(): string;
    getVersion(executablePath: string): Promise<string>;
    protected getDownloadURL(): string;
    /**
     * Handle any post-download processing before copying to destination
     * Child classes can override this for custom extraction or processing
     */
    protected processDownloadedPackage(packageFilePath: string, temporaryDirectory: string): Promise<string>;
    protected getChecksumURL(): string;
}
